PDA

Visualizza la versione completa : errore in apt-get dist-upgrade


sacarde
27-04-2005, 21:42
su una knopILS 7
ho avuto la malaugurata idea di fare:
apt-get dist-upgrade
dopo un paio di ore arriva l'errore:

Mi preparo a sostituire artwiz-cursor 2.6 (con .../artwiz-cursor_1%3a1.3-2_all.d eb) ...
dpkg-divert: `diversion of /usr/X11R6/lib/X11/fonts/misc/cursor.pcf.gz to /usr/X 11R6/lib/X11/fonts/misc/cursor.pcf.gz-artwiz by artwiz-cursor' clashes with `div ersion of /usr/X11R6/lib/X11/fonts/misc/cursor.pcf.gz to /usr/X11R6/lib/X11/font s/misc/cursor.pcf.gz-artwiz by xfonts-artwiz'
dpkg: errore processando /var/cache/apt/archives/artwiz-cursor_1%3a1.3-2_all.deb (--unpack):
il sottoprocesso pre-installation script ha restituito un codice di errore 2
Sono occorsi degli errori processando:
/var/cache/apt/archives/artwiz-cursor_1%3a1.3-2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


come posso fare per continuare l'aggiornamento
sono rimasto a meta' del guado

aiuto




grazie

andy caps
27-04-2005, 21:50
con debian si da sempre
dpkg --configure -a

o

apt-get -f install

a volte si deve forzare l'installazione

dpkg -i ..force-all /var/cache/apt/archives/artwiz-cursor_1%3a1.3-2_all.deb

sacarde
27-04-2005, 22:17
sob....

la forzatura non ha alcun effetto.....
l'errore rimane lo stesso


non c'e' modo si scavalcare questo pacchetto?

andy caps
27-04-2005, 22:59
avvia synaptic e marcalo per la disinstallazione o dal suo menu prova fix broken

altrimenti prova

apt-get --purge remove artwiz-cursor

Loading